# Define if building a cross compiler
%define build_cross		0
%{expand: %{?cross:		%%global build_cross 1}}

%define target_cpu              %{_target_cpu}
%define cross_prefix		%{nil}
%define includedir		%{_includedir}
%if %{build_cross}
%define cross_prefix            cross-%{target_cpu}-
%define target_cpu              %{cross}
%define isarch()		%(case " %* " in (*" %{target_cpu} "*) echo 1;; (*) echo 0;; esac)
%if %isarch %arm
%define gnuext			-gnueabi
%else
%define gnuext			-gnu
%endif
%define includedir		/usr/%{target_cpu}-%_real_vendor-linux%{gnuext}/include
%endif

%define arch            %(echo %{target_cpu}|sed -e "s/mips.*/mips/" -e "s/arm.*/arm/")

%define kver 4.9.4
%define ever 1.pclos2017

Summary:	Linux kernel header files for userspace
Name:		glibc-headers-devel
Version:	%{kver}
Release:	%mkrel 1
License:	GPLv2
Group:  	System/Kernel and hardware
URL:    	http://www.kernel.org/
Source0: 	kernel-userspace-headers-%{kver}.%{ever}.tar.xz
Source1:	make_versionh.sh
Source2:	create_asm_headers.sh
%rename		%{cross_prefix}linux-userspace-headers
Provides:	kernel-headers = %{version}-%{release}

%description
C header files from the Linux kernel. The header files define structures
and constants that are needed for building most standard programs.

This package is not suitable for building kernel modules.

%prep
%setup -q -n kernel-userspace-headers-%{kver}.%{ever}
%{expand:%(%__cat %{_sourcedir}/make_versionh.sh 2>/dev/null)}
TARGET=%{arch}
%{expand:%(%__cat %{_sourcedir}/create_asm_headers.sh 2>/dev/null)}

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/%{includedir}
cp -avf * %{buildroot}/%{includedir}

# (cg) Remove files provided by libdrm
for hdr in drm.h drm_mode.h drm_sarea.h i915_drm.h mga_drm.h nouveau_drm.h \
           r128_drm.h radeon_drm.h savage_drm.h sis_drm.h via_drm.h;
do
	rm -f %{buildroot}%{includedir}/drm/$hdr
done

%clean
rm -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%{includedir}/*


%changelog
* Mon Mar 06 2017 adrianomorselli <adrianomorselli> 4.9.4-1uplos2017
- update
- removed old stuff
